Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Alpha Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Alpha:
[legend]

List of all members.

## Public Types
enum | { MAX_ALPHA = 0xFFFF }
typedef sigc::slot< double, const Glib::RefPtr< Alpha >& > | SlotAlphaFunc
| For instance, double on_alpha(const Glib::RefPtr<Alpha>& alpha);.
## Public Member Functions
virtual | ~Alpha ()
ClutterAlpha* | gobj ()
| Provides access to the underlying C GObject.
const ClutterAlpha* | gobj () const
| Provides access to the underlying C GObject.
ClutterAlpha* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_timeline (const Glib::RefPtr< Timeline >& timeline)
| Binds alpha to timeline.
Glib::RefPtr< Timeline > | get_timeline ()
| Gets the Clutter::Timeline bound to alpha.
Glib::RefPtr< const Timeline > | get_timeline () const
| Gets the Clutter::Timeline bound to alpha.
double | get_alpha () const
| Query the current alpha value.
void | set_func (const SlotAlphaFunc& slot)
void | set_mode (gulong mode)
| Sets the progress function of alpha using the symbolic value of mode, as taken by the Clutter::AnimationMode enumeration or using the value returned by register_func().
gulong | get_mode () const
| Retrieves the Clutter::AnimationMode used by alpha.
Glib::PropertyProxy_ReadOnly < double > | property_alpha () const
| Alpha value.
Glib::PropertyProxy < Glib::RefPtr< Timeline > > | property_timeline ()
| Timeline used by the alpha.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Timeline > > | property_timeline () const
| Timeline used by the alpha.
## Static Public Member Functions
static Glib::RefPtr< Alpha > | create ()
static Glib::RefPtr< Alpha > | create (const Glib::RefPtr< Timeline >& timeline, const SlotAlphaFunc& slot)
static Glib::RefPtr< Alpha > | create (const Glib::RefPtr< Timeline >& timeline, gulong mode)
## Protected Member Functions
| Alpha ()
| Alpha (const Glib::RefPtr< Timeline >& timeline, gulong mode)
| Alpha (const Glib::RefPtr< Timeline >& timeline, const SlotAlphaFunc& slot)
| Creates a new Alpha instance and sets the timeline and the alpha function.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Alpha > | wrap (ClutterAlpha* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef sigc::slot<double, const Glib::RefPtr<Alpha>&> Clutter::Alpha::SlotAlphaFunc

For instance, double on_alpha(const Glib::RefPtr<Alpha>& alpha);.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  MAX_ALPHA |

## Constructor & Destructor Documentation

virtual Clutter::Alpha::~Alpha | ( |  | ) | `[virtual]`

Clutter::Alpha::Alpha | ( |  | ) | `[protected]`

Clutter::Alpha::Alpha | ( | const Glib::RefPtr< Timeline >& | timeline,
|  | gulong | mode |
| ) |  |  | `[explicit, protected]`

Clutter::Alpha::Alpha | ( | const Glib::RefPtr< Timeline >& | timeline,
|  | const SlotAlphaFunc & | slot |
| ) |  |  | `[protected]`

Creates a new Alpha instance and sets the timeline and the alpha function.

Parameters:

  | timeline | Timeline.
  | slot | Alpha function.

## Member Function Documentation

static Glib::RefPtr<Alpha> Clutter::Alpha::create | ( |  | ) | `[static]`

static Glib::RefPtr<Alpha> Clutter::Alpha::create | ( | const Glib::RefPtr< Timeline >& | timeline,
|  | const SlotAlphaFunc & | slot |
| ) |  |  | `[static]`

static Glib::RefPtr<Alpha> Clutter::Alpha::create | ( | const Glib::RefPtr< Timeline >& | timeline,
|  | gulong | mode |
| ) |  |  | `[static]`

double Clutter::Alpha::get_alpha | ( |  | ) | const

Query the current alpha value.

Since cluttermm 0.2:

Returns:
  The current alpha value for the alpha.

gulong Clutter::Alpha::get_mode | ( |  | ) | const

Retrieves the Clutter::AnimationMode used by alpha.

Since cluttermm 1.0:

Returns:
  The animation mode.

Glib::RefPtr<Timeline> Clutter::Alpha::get_timeline | ( |  | ) |

Gets the Clutter::Timeline bound to alpha.

Since cluttermm 0.2:

Returns:
  A Clutter::Timeline instance.

Glib::RefPtr<const Timeline> Clutter::Alpha::get_timeline | ( |  | ) | const

Gets the Clutter::Timeline bound to alpha.

Since cluttermm 0.2:

Returns:
  A Clutter::Timeline instance.

const ClutterAlpha* Clutter::Alpha::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAlpha* Clutter::Alpha::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAlpha* Clutter::Alpha::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<double> Clutter::Alpha::property_alpha | ( |  | ) | const

Alpha value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Timeline> > Clutter::Alpha::property_timeline | ( |  | ) | const

Timeline used by the alpha.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Timeline> > Clutter::Alpha::property_timeline | ( |  | ) |

Timeline used by the alpha.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Alpha::set_func | ( | const SlotAlphaFunc & | slot | ) |

void Clutter::Alpha::set_mode | ( | gulong | mode | ) |

Sets the progress function of alpha using the symbolic value of mode, as taken by the Clutter::AnimationMode enumeration or using the value returned by register_func().

Since cluttermm 1.0:

Parameters:

  | mode | A Clutter::AnimationMode.

void Clutter::Alpha::set_timeline | ( | const Glib::RefPtr< Timeline >& | timeline | ) |

Binds alpha to timeline.

Since cluttermm 0.2:

Parameters:

  | timeline | A Clutter::Timeline.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Alpha > wrap | ( | ClutterAlpha * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/alpha.h